Uploaded image for project: 'Spark'
  1. Spark
  2. SPARK-30308

Update Netty and Netty-all to address CVE-2019-16869

    XMLWordPrintableJSON

    Details

    • Type: Dependency upgrade
    • Status: Resolved
    • Priority: Minor
    • Resolution: Not A Problem
    • Affects Version/s: 2.4.4
    • Fix Version/s: None
    • Component/s: Security
    • Labels:

      Description

      As per CVE-2019-16869, netty mishandled whitespace before the colon in HTTP headers (such as a "Transfer-Encoding : chunked" line), which lead to HTTP request smuggling.

      This issue has been resolved in version 4.1.42.Final for both netty and netty-all packages. 

       

       

        Attachments

          Issue Links

            Activity

              People

              • Assignee:
                Unassigned
                Reporter:
                vishwaskumar Vishwas
              • Votes:
                0 Vote for this issue
                Watchers:
                2 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: